org.keycloak.representations.idm

## Class IdentityProviderRepresentation

- java.lang.Object
- - org.keycloak.representations.idm.IdentityProviderRepresentation

-     public class IdentityProviderRepresentation
      extends Object

  Author:
    Pedro Igor

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `addReadTokenRoleOnCreate`
    `protected String` | `alias`
    `protected boolean` | `authenticateByDefault`
    `protected Map<String,String>` | `config`
    `protected boolean` | `enabled`
    `protected String` | `firstBrokerLoginFlowAlias`
    `protected String` | `internalId`
    `protected String` | `postBrokerLoginFlowAlias`
    `protected String` | `providerId`
    `protected boolean` | `storeToken`
    `protected boolean` | `trustEmail`
    `protected String` | `updateProfileFirstLoginMode` Deprecated.
    `static String` | `UPFLM_MISSING`
    `static String` | `UPFLM_OFF`
    `static String` | `UPFLM_ON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IdentityProviderRepresentation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAlias()`
    `Map<String,String>` | `getConfig()`
    `String` | `getFirstBrokerLoginFlowAlias()`
    `String` | `getInternalId()`
    `String` | `getPostBrokerLoginFlowAlias()`
    `String` | `getProviderId()`
    `String` | `getUpdateProfileFirstLoginMode()` Deprecated. deprecated and replaced by configuration on IdpReviewProfileAuthenticator
    `boolean` | `isAddReadTokenRoleOnCreate()`
    `boolean` | `isAuthenticateByDefault()`
    `boolean` | `isEnabled()`
    `boolean` | `isStoreToken()`
    `boolean` | `isTrustEmail()`
    `void` | `setAddReadTokenRoleOnCreate(boolean addReadTokenRoleOnCreate)`
    `void` | `setAlias(String alias)`
    `void` | `setAuthenticateByDefault(boolean authenticateByDefault)`
    `void` | `setConfig(Map<String,String> config)`
    `void` | `setEnabled(boolean enabled)`
    `void` | `setFirstBrokerLoginFlowAlias(String firstBrokerLoginFlowAlias)`
    `void` | `setInternalId(String internalId)`
    `void` | `setPostBrokerLoginFlowAlias(String postBrokerLoginFlowAlias)`
    `void` | `setProviderId(String providerId)`
    `void` | `setStoreToken(boolean storeToken)`
    `void` | `setTrustEmail(boolean trustEmail)`
    `void` | `setUpdateProfileFirstLogin(boolean updateProfileFirstLogin)` Deprecated. `setUpdateProfileFirstLoginMode(String)`
    `void` | `setUpdateProfileFirstLoginMode(String updateProfileFirstLoginMode)` Deprecated. deprecated and replaced by configuration on IdpReviewProfileAuthenticator

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### alias

          protected String alias

    - #### internalId

          protected String internalId

    - #### providerId

          protected String providerId

    - #### enabled

          protected boolean enabled

    - #### UPFLM_ON

          public static final String UPFLM_ON

      See Also:
        Constant Field Values

    - #### UPFLM_MISSING

          public static final String UPFLM_MISSING

      See Also:
        Constant Field Values

    - #### UPFLM_OFF

          public static final String UPFLM_OFF

      See Also:
        Constant Field Values

    - #### updateProfileFirstLoginMode

          @Deprecated
          protected String updateProfileFirstLoginMode

      Deprecated.
      Mode of profile update after first login when user is created over this identity provider. Possible values:
      - `on` - update profile page is presented for all users
      - `missing` - update profile page is presented for users with missing some of mandatory user profile fields
      - `off` - update profile page is newer shown after first login
      See Also:
        `UPFLM_ON`, `UPFLM_MISSING`, `UPFLM_OFF`

    - #### trustEmail

          protected boolean trustEmail

    - #### storeToken

          protected boolean storeToken

    - #### addReadTokenRoleOnCreate

          protected boolean addReadTokenRoleOnCreate

    - #### authenticateByDefault

          protected boolean authenticateByDefault

    - #### firstBrokerLoginFlowAlias

          protected String firstBrokerLoginFlowAlias

    - #### postBrokerLoginFlowAlias

          protected String postBrokerLoginFlowAlias

    - #### config

          protected Map<String,String> config

  - ### Constructor Detail

    - #### IdentityProviderRepresentation

          public IdentityProviderRepresentation()

  - ### Method Detail

    - #### getInternalId

          public String getInternalId()

    - #### setInternalId

          public void setInternalId(String internalId)

    - #### getAlias

          public String getAlias()

    - #### setAlias

          public void setAlias(String alias)

    - #### getProviderId

          public String getProviderId()

    - #### setProviderId

          public void setProviderId(String providerId)

    - #### getConfig

          public Map<String,String> getConfig()

    - #### setConfig

          public void setConfig(Map<String,String> config)

    - #### isEnabled

          public boolean isEnabled()

    - #### setEnabled

          public void setEnabled(boolean enabled)

    - #### setUpdateProfileFirstLogin

          @Deprecated
          public void setUpdateProfileFirstLogin(boolean updateProfileFirstLogin)

      Deprecated. `setUpdateProfileFirstLoginMode(String)`
      Deprecated because replaced by `updateProfileFirstLoginMode`. Kept here to allow import of old realms.

    - #### getUpdateProfileFirstLoginMode

          @Deprecated
          public String getUpdateProfileFirstLoginMode()

      Deprecated. deprecated and replaced by configuration on IdpReviewProfileAuthenticator

    - #### setUpdateProfileFirstLoginMode

          @Deprecated
          public void setUpdateProfileFirstLoginMode(String updateProfileFirstLoginMode)

      Deprecated. deprecated and replaced by configuration on IdpReviewProfileAuthenticator

    - #### isAuthenticateByDefault

          public boolean isAuthenticateByDefault()

    - #### setAuthenticateByDefault

          public void setAuthenticateByDefault(boolean authenticateByDefault)

    - #### getFirstBrokerLoginFlowAlias

          public String getFirstBrokerLoginFlowAlias()

    - #### setFirstBrokerLoginFlowAlias

          public void setFirstBrokerLoginFlowAlias(String firstBrokerLoginFlowAlias)

    - #### getPostBrokerLoginFlowAlias

          public String getPostBrokerLoginFlowAlias()

    - #### setPostBrokerLoginFlowAlias

          public void setPostBrokerLoginFlowAlias(String postBrokerLoginFlowAlias)

    - #### isStoreToken

          public boolean isStoreToken()

    - #### setStoreToken

          public void setStoreToken(boolean storeToken)

    - #### isAddReadTokenRoleOnCreate

          public boolean isAddReadTokenRoleOnCreate()

    - #### setAddReadTokenRoleOnCreate

          public void setAddReadTokenRoleOnCreate(boolean addReadTokenRoleOnCreate)

    - #### isTrustEmail

          public boolean isTrustEmail()

    - #### setTrustEmail

          public void setTrustEmail(boolean trustEmail)

Copyright © 2016 JBoss by Red Hat. All rights reserved.